Bug 1418399 - _WARN: Use of uninitialized value in subroutine entry at /usr/lib64/perl5/vendor_perl/Encode/MIME/Header.pm line 198 [NEEDINFO]
Summary: _WARN: Use of uninitialized value in subroutine entry at /usr/lib64/perl5/ven...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: amavisd-new
Version: 25
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Juan Orti Alcaine
QA Contact: Fedora Extras Quality Assurance
URL: http://www.mail-archive.com/users@spa...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 18:08 UTC by Alex Regan
Modified: 2017-12-12 10:33 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:33:41 UTC
j.orti.alcaine: needinfo? (mysqlstudent)


Attachments (Terms of Use)

Description Alex Regan 2017-02-01 18:08:17 UTC
Description of problem:
_WARN: Use of uninitialized value in subroutine entry at /usr/lib64/perl5/vendor_perl/Encode/MIME/Header.pm line 198

Version-Release number of selected component (if applicable):
# rpm -qf /usr/lib64/perl5/vendor_perl/Encode/MIME/Header.pm
perl-Encode-2.88-5.fc25.x86_64


How reproducible:
It appears to be ongoing with amavisd-new-2.11.0-4.fc25.noarch

Steps to Reproduce:
1. Run amavisd-new with spamassassin 
2.
3.

Actual results:
_WARN: Use of uninitialized value in subroutine entry at /usr/lib64/perl5/vendor_perl/Encode/MIME/Header.pm line 198

Expected results:
No warning

Additional info:
All latest updates applied
perl-5.24.1-383.fc25.x86_64
amavisd-new-2.11.0-4.fc25.noarch
spamassassin-3.4.2-45.fc25.x86_64
spamassassin-iXhash2-2.05-9.fc24.noarch

Comment 1 Alex Regan 2017-02-02 01:58:40 UTC
Falling back to perl-Encode-2.86-3.fc25.x86_64 fixes the problem.

Comment 2 Petr Pisar 2017-02-06 13:05:12 UTC
I have no idea how to reproduce it. Installing amavisd-new package is not obviously enough. Please provide the reproducer.

Comment 3 Juan Orti Alcaine 2017-07-24 12:09:21 UTC
Could you attach your amavisd and spamassassin configuration? I don't get this warning in my mail server with amavisd/clamd/spamassassin

Do you receive this message when processing an email or when starting the service? with any kind of attachments? I need more information to reproduce this.

Thanks.

Comment 4 Fedora End Of Life 2017-11-16 19:40:45 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-12-12 10:33:41 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.